require_relative "../classes.rb"

class TestAiControl < BaseBehaviorTestCase 

  

  def setup
    super 
    @subject = Traveller.new
  end

  def test_desire_changer_passes_in_desire_with_event
    d = AR::Game::AiControl::Desire.new do 
      #desire should do stuff with state, and then return an action based on this.....
    end

    d.call
    event_stub = "some_event_doesnmatter"
    dc = AR::Events::ResolutionDesireChanger.new desire: d, when: AR::Events::DiscoveryMadeEvent, as: "discoverer" do |e, desire|
      assert_equal d, desire
      assert_equal event_stub, e 
    end

    dc.call event_stub
  end


end

